Subject: bug#16070: closed (Re: bug#16070: 24.3.50; Crash, Emacs fatal error: assertion failed: c->buffer_beg <= start && end <= c->buffer_end)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Dec 2013 08:36:04 +0000

Your bug report

#16070: 24.3.50; Crash, Emacs fatal error: assertion failed: c->buffer_beg <= start && end <= c->buffer_end

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16070: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16070
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16070: 24.3.50; Crash, Emacs fatal error: assertion failed: c->buffer_beg <= start && end <= c->buffer_end
From: Eli Zaretskii <[email-masked]>
To: Yagnesh Raghava Yakkala <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Dec 2013 10:35:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Yagnesh Raghava Yakkala <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 07 Dec 2013 14:53:03 +0900
> 
> >> When opened attached org as follows, it automatically crashes on my system. 
> >> emacs -Q test.org -eval "(set-buffer-multibyte nil)"
> >
> > Thanks.  That particular crash is fixed in trunk revision 115399,
> 
> Thanks and I can confirm.
> 
> > (did you also toggle buffer's multibyteness there, after visiting the
> > file?).
> 
> Yes.
> 
> > If the problem is not entirely fixed, please show the recipe to reproduce
> > the problem.
> 
> I can't reproduce original problem now. I think we can close this bug now.  

Thanks, closing.

Subject: 24.3.50; Crash, Emacs fatal error: assertion failed: c->buffer_beg <= start && end <= c->buffer_end
From: Yagnesh Raghava Yakkala <[email-masked]>
To: [email-masked]
Date: Fri, 06 Dec 2013 19:43:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs crashed while cycling through [(info "(org) Visibility cycling")]  a org
file.

backtrace is attached

--
ఎందరో మహానుభావులు అందరికి వందనములు.
YYR